## sasmodels 0.99

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
PYTHON       ?= python
SPHINXOPTS    =
SPHINXBUILD   = $(PYTHON) -m  sphinx.__init__
PAPER        ?= letter
BUILDDIR      = _build
ifdef ComSpec
    RMDIR   = rmdir /s/q
    CPDIR   = xcopy /q/e/i
    MKDIR   = mkdir
    PATHSEP = $(strip \)
    COPY    = copy
else
    RMDIR   = rm -rf
    CPDIR   = cp -rp
    MKDIR   = mkdir -p
    PATHSEP = $(strip /)
    COPY    = cp
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

IMG_SOURCE = $(wildcard ../sasmodels/models/img/*)
IMG_DEST = $(patsubst ../sasmodels/models/img/%,model/img/%,$(IMG_SOURCE))
MODELS_PY = $(wildcard ../sasmodels/models/[a-z]*.py)
MODELS_RST = $(patsubst ../sasmodels/models/%.py,model/%.rst,$(MODELS_PY))

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

model/img/%: ../sasmodels/models/img/%
ifdef ComSpec
	$(COPY) $(subst /,\,$<) $(subst /,\,$@)
else
	$(COPY) $< $@
endif

model/%.rst: ../sasmodels/models/%.py
	$(PYTHON) genmodel.py $< $@

ref/models/index.rst: gentoc.py $(MODELS_PY)
	$(PYTHON) gentoc.py $(MODELS_PY)

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest build

api: genapi.py
	-$(RMDIR) api
	$(PYTHON) genapi.py

model:
	$(MKDIR) model
ifdef ComSpec
	$(MKDIR) model\img
else
	$(MKDIR) model/img
endif

build: model $(MODELS_RST) $(IMG_DEST) api ref/models/index.rst
ifdef ComSpec
	rem cd ..\..
	rem python setup.py build
else
	#cd ../.. && python setup.py build
endif

upload:
	scp -r _build/html/* reflectometry.org:web/danse/docs/sasmodels
	scp _build/latex/SASModels.pdf reflectometry.org:web/danse/download

clean:
	-$(RMDIR) _build model api ref$(PATHSEP)models

html: build
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/Periodic Table.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/Periodic Table.qhc"

latex: build
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

pdf: latex
	$(MAKE) -C _build/latex all-pdf
	$(COPY) _build/latex/SASModels.pdf _build/html

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

## sasmodels 0.97~git20171104

=== debian/changelog ===
sasmodels (0.97~git20171104-2) unstable; urgency=medium

  * Precompile models using 'dll' mode and include them in the packages.
    - add a new binary package sasmodels-private-libs for the objects.
  * Update to debhelper compat 11.
    - relocate documentation to /usr/share/doc/sasmodels/
  * Update Standards-Version to 4.1.3 (no changes required).
  * Prevent crashes when removing pyc files from /usr/lib fails.
  * Stop using openmp on compiled models.

 -- Stuart Prescott <stuart@debian.org>  Fri, 05 Jan 2018 23:48:36 +1100

sasmodels (0.97~git20171104-1) unstable; urgency=medium

  * New upstream git snapshot.
    - Drop python3-compat.patch that was cherry-picked from upstream
    - Update copyright information
  * Build-depend on newer sphinx to ensure documentation is found during the
    sasview build.

 -- Stuart Prescott <stuart@debian.org>  Mon, 06 Nov 2017 23:42:54 +1100

sasmodels (0.96-1) unstable; urgency=medium

  * Initial release.

 -- Stuart Prescott <stuart@debian.org>  Tue, 31 Oct 2017 09:41:15 +1100

=== debian/control ===
Source: sasmodels
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Stuart Prescott <stuart@debian.org>,
 Drew Parsons <dparsons@debian.org>
Build-Depends:
 debhelper (>= 11),
 dh-python,
 libjs-jquery,
 libjs-mathjax,
 python-all,
 python-matplotlib,
 python-setuptools,
 python-numpy,
 python-pyopencl,
 python-scipy,
 python-sphinx (>= 1.6~),
 python3-all,
 python3-matplotlib,
 python3-setuptools,
 python3-numpy,
 python3-pyopencl,
 python3-scipy,
 python3-sphinx (>= 1.6~),
Standards-Version: 4.1.3
Homepage: http://www.sasview.org/
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/sasmodels.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/sasmodels.git/
Rules-Requires-Root: no

Package: python-sasmodels
Architecture: all
Section: python
Depends:
 python-numpy,
 python-pyopencl,
 python-scipy,
 sasmodels-private-libs,
 ${misc:Depends},
 ${python:Depends}
Suggests: python-sasmodels-doc
Description: Theoretical models for small angle scattering (Python 2)
 sasmodels is a Python module for calculating theoretical Small Angle
 Scattering patterns. The models provided are usable directly in the bumps
 fitting package and in the sasview analysis package.
 .
 This package contains the Python 2 version of the module.

Package: python3-sasmodels
Architecture: all
Section: python
Depends:
 python3-numpy,
 python3-pyopencl,
 python3-scipy,
 sasmodels-private-libs,
 ${misc:Depends},
 ${python3:Depends}
Suggests: python-sasmodels-doc
Description: Theoretical models for small angle scattering (Python 3)
 sasmodels is a Python module for calculating theoretical Small Angle
 Scattering patterns. The models provided are usable directly in the bumps
 fitting package and in the sasview analysis package.
 .
 This package contains the Python 3 version of the module.

Package: sasmodels-private-libs
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Theoretical models for small angle scattering (compiled models)
 sasmodels is a Python module for calculating theoretical Small Angle
 Scattering patterns. The models provided are usable directly in the bumps
 fitting package and in the sasview analysis package.
 .
 This package contains the precompiled versions of the models.

Package: python-sasmodels-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 libjs-mathjax,
 ${misc:Depends},
 ${sphinxdoc:Depends}
Description: Theoretical models for small angle scattering (documentation)
 sasmodels is a Python module for calculating theoretical Small Angle
 Scattering patterns. The models provided are usable directly in the bumps
 fitting package and in the sasview analysis package.
 .
 This package contains the documentation for the module.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=sasmodels

# enable additional hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie

# opencl needs somewhere to cache compiled objects
export POCL_CACHE_DIR=$(CURDIR)/.cache/
export XDG_CACHE_HOME=$(CURDIR)/.cache/
# and also tell pyopencl not to cache
export PYOPENCL_NO_CACHE=1
# and give somewhere for sasmodels to look for models
export SAS_MODELPATH=$(CURDIR)/.sasmodels/
export SAS_MODELPATH_COMPILED=./sasmodels/compiled_models/

# ensure test logs don't get accidentally installed
export PYBUILD_AFTER_INSTALL=rm -rf {build_dir}/logs

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	make -C doc clean
	rm -rf $(POCL_CACHE_DIR) $(SAS_MODELPATH) $(SAS_MODELPATH_COMPILED)
	rm -rf doc/guide/models/
	rm -rf sasmodels.egg-info
	find -name logs -type d -exec rm -rf {} +

override_dh_auto_build:
	mkdir -p $(POCL_CACHE_DIR) $(SAS_MODELPATH) $(SAS_MODELPATH_COMPILED)
	PYTHONPATH=. ./debian/compile_models
	dh_auto_build
	MPLBACKEND=Agg SAS_OPENCL=none make -C doc html
	ln -sf /usr/share/javascript/mathjax doc/_build/html/_static/

override_dh_auto_install:
	dh_auto_install
	for d in debian/*/usr/lib/python*/*packages/sasmodels/compiled_models; do \
	  rm -rf $$d; \
	  ln -s /usr/lib/sasmodels/compiled_models $$d ; \
	done

override_dh_auto_test:
	# don't run the tests if suppressed with DEB_BUILD_OPTIONS=nocheck
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p $(POCL_CACHE_DIR)
	PYBUILD_SYSTEM=custom \
	  PYBUILD_TEST_ARGS='cd {build_dir} && \
	    {interpreter} -m sasmodels.model_test dll all && \
	    {interpreter} -m unittest -v sasmodels.resolution; \
	    ' \
          dh_auto_test --buildsystem=pybuild
endif

=== debian/tests/control ===
Tests: python-sasmodels
Restrictions: allow-stderr
Depends:
 python-all,
 python-sasmodels

Tests: python3-sasmodels
Restrictions: allow-stderr
Depends:
 python3-all,
 python3-sasmodels

Tests: python-sasmodels-opencl
Restrictions: allow-stderr
Depends:
 python-all,
 python-sasmodels

Tests: python3-sasmodels-opencl
Restrictions: allow-stderr
Depends:
 python3-all,
 python3-sasmodels

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%sasmodels-$1.tar.gz%" \
   https://github.com/SasView/sasmodels/releases \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## sasmodels 0.97~git20180309

=== debian/changelog ===
sasmodels (0.97~git20180309-1) unstable; urgency=medium

  * New upstream git snapshot.
    - refresh patches
    - drop disable-failing-test.patch, no longer required
  * Update test runners to use pytest rather than custom scripts.
  * Allow documentation to be built in parallel.
  * Move pyopencl packages to Recommends since the recompiled (CPU) models
    can be used rather than the OpenCL (GPU) models.

 -- Stuart Prescott <stuart@debian.org>  Sat, 10 Mar 2018 19:07:00 +1100

=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,15 @@
 export SAS_MODELPATH=$(CURDIR)/.sasmodels/
 export SAS_MODELPATH_COMPILED=./sasmodels/compiled_models/
 
+# stop matplotlib from thinking it should display plots
+export MPLBACKEND=Agg
+# Tell sasmodels not to use OpenCL on the builder
+export SAS_OPENCL=none
+
 # ensure test logs don't get accidentally installed
 export PYBUILD_AFTER_INSTALL=rm -rf {build_dir}/logs
+# list tests as they run
+export PYBUILD_TEST_ARGS=-v
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
@@ -34,7 +41,7 @@
 	mkdir -p $(POCL_CACHE_DIR) $(SAS_MODELPATH) $(SAS_MODELPATH_COMPILED)
 	PYTHONPATH=. ./debian/compile_models
 	dh_auto_build
-	MPLBACKEND=Agg SAS_OPENCL=none make -C doc html
+	+$(MAKE) -C doc html
 	ln -sf /usr/share/javascript/mathjax doc/_build/html/_static/
 
 override_dh_auto_install:
@@ -43,15 +50,3 @@
 	  rm -rf $$d; \
 	  ln -s /usr/lib/sasmodels/compiled_models $$d ; \
 	done
-
-override_dh_auto_test:
-	# don't run the tests if suppressed with DEB_BUILD_OPTIONS=nocheck
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	mkdir -p $(POCL_CACHE_DIR)
-	PYBUILD_SYSTEM=custom \
-	  PYBUILD_TEST_ARGS='cd {build_dir} && \
-	    {interpreter} -m sasmodels.model_test dll all && \
-	    {interpreter} -m unittest -v sasmodels.resolution; \
-	    ' \
-          dh_auto_test --buildsystem=pybuild
-endif

## sasmodels 0.97

=== debian/changelog ===
sasmodels (0.97-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Tue, 24 Jul 2018 22:33:25 +1000

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
  python-setuptools,
  python-numpy,
  python-pyopencl,
+ python-pytest,
  python-scipy,
  python-sphinx (>= 1.6~),
  python3-all,
@@ -22,12 +23,13 @@
  python3-setuptools,
  python3-numpy,
  python3-pyopencl,
+ python3-pytest,
  python3-scipy,
  python3-sphinx (>= 1.6~),
 Standards-Version: 4.1.3
 Homepage: http://www.sasview.org/
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/sasmodels.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/sasmodels.git/
+Vcs-Git: https://salsa.debian.org/science-team/sasmodels.git
+Vcs-Browser: https://salsa.debian.org/science-team/sasmodels
 Rules-Requires-Root: no
 
 Package: python-sasmodels
@@ -35,11 +37,13 @@
 Section: python
 Depends:
  python-numpy,
- python-pyopencl,
  python-scipy,
  sasmodels-private-libs,
  ${misc:Depends},
  ${python:Depends}
+Recommends:
+ python-matplotlib,
+ python-pyopencl,
 Suggests: python-sasmodels-doc
 Description: Theoretical models for small angle scattering (Python 2)
  sasmodels is a Python module for calculating theoretical Small Angle
@@ -53,11 +57,13 @@
 Section: python
 Depends:
  python3-numpy,
- python3-pyopencl,
  python3-scipy,
  sasmodels-private-libs,
  ${misc:Depends},
  ${python3:Depends}
+Recommends:
+ python3-matplotlib,
+ python3-pyopencl,
 Suggests: python-sasmodels-doc
 Description: Theoretical models for small angle scattering (Python 3)
  sasmodels is a Python module for calculating theoretical Small Angle

## sasmodels 0.98

=== debian/changelog ===
sasmodels (0.98-1) unstable; urgency=medium

  * New upstream release.
    - refresh patches
  * Add patch to make C modules reproducible
  * Update Standards-Version to 4.2.1 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Sat, 06 Oct 2018 12:30:23 +1000

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
  python3-pytest,
  python3-scipy,
  python3-sphinx (>= 1.6~),
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: http://www.sasview.org/
 Vcs-Git: https://salsa.debian.org/science-team/sasmodels.git
 Vcs-Browser: https://salsa.debian.org/science-team/sasmodels

## sasmodels 0.99

=== debian/changelog ===
sasmodels (0.99-2) unstable; urgency=medium

  * mark python-sasmodels-doc as Multi-Arch: foreign

 -- Drew Parsons <dparsons@debian.org>  Sat, 16 Feb 2019 11:58:54 +0800

sasmodels (0.99-1) experimental; urgency=medium

  * New upstream release.
  * Standards-Version: 4.3.0
  * debhelper compatibility level 12

 -- Drew Parsons <dparsons@debian.org>  Fri, 15 Feb 2019 17:53:42 +0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Stuart Prescott <stuart@debian.org>,
  Drew Parsons <dparsons@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
  libjs-jquery,
  libjs-mathjax,
@@ -26,7 +26,7 @@
  python3-pytest,
  python3-scipy,
  python3-sphinx (>= 1.6~),
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: http://www.sasview.org/
 Vcs-Git: https://salsa.debian.org/science-team/sasmodels.git
 Vcs-Browser: https://salsa.debian.org/science-team/sasmodels
@@ -87,6 +87,7 @@
 
 Package: python-sasmodels-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends:
  libjs-jquery,

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,4 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	for d in debian/*/usr/lib/python*/*packages/sasmodels/compiled_models; do \
-	  rm -rf $$d; \
-	  ln -s /usr/lib/sasmodels/compiled_models $$d ; \
-	done
+	rm -rf debian/*/usr/lib/python*/*packages/sasmodels/compiled_models

=== debian/tests/control ===
Tests: python-sasmodels
Restrictions: allow-stderr
Depends:
 python-all,
 python-docutils,
 python-matplotlib,
 python-pytest,
 python-sasmodels

Tests: python3-sasmodels
Restrictions: allow-stderr
Depends:
 python3-all,
 python3-docutils,
 python3-matplotlib,
 python3-pytest,
 python3-sasmodels

Tests: python-sasmodels-opencl
Restrictions: allow-stderr
Depends:
 python-all,
 python-docutils,
 python-matplotlib,
 python-pytest,
 python-sasmodels

Tests: python3-sasmodels-opencl
Restrictions: allow-stderr
Depends:
 python3-all,
 python3-docutils,
 python3-matplotlib,
 python3-pytest,
 python3-sasmodels

## sasmodels 1.0.0

=== debian/changelog ===
sasmodels (1.0.0-2) unstable; urgency=medium

  * drop python-sasmodels (remove Python2). Closes: #938434.
  * Standards-Version: 4.4.1

 -- Drew Parsons <dparsons@debian.org>  Sat, 12 Oct 2019 16:42:02 +0800

sasmodels (1.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Thu, 13 Jun 2019 21:48:55 +1000

## sasmodels 1.0.1

=== doc/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # You can set these variables from the command line.
 PYTHON       ?= python
 SPHINXOPTS    =
-SPHINXBUILD   = $(PYTHON) -m  sphinx.__init__
+SPHINXBUILD   = $(PYTHON) -m  sphinx
 PAPER        ?= letter
 BUILDDIR      = _build
 ifdef ComSpec
@@ -22,8 +22,8 @@
 endif
 
 # Internal variables.
-PAPEROPT_a4     = -D latex_paper_size=a4
-PAPEROPT_letter = -D latex_paper_size=letter
+PAPEROPT_a4     = -D latex_elements.papersize=a4
+PAPEROPT_letter = -D latex_elements.papersize=letter
 ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
 
 IMG_SOURCE = $(wildcard ../sasmodels/models/img/*)

=== debian/changelog ===
sasmodels (1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Update patch for setting compiler flags.

 -- Stuart Prescott <stuart@debian.org>  Sun, 01 Dec 2019 18:06:08 +1100

=== debian/control ===
--- 
+++ 
@@ -10,14 +10,6 @@
  dh-python,
  libjs-jquery,
  libjs-mathjax,
- python-all,
- python-matplotlib,
- python-setuptools,
- python-numpy,
- python-pyopencl,
- python-pytest,
- python-scipy,
- python-sphinx (>= 1.6~),
  python3-all,
  python3-matplotlib,
  python3-setuptools,
@@ -26,31 +18,11 @@
  python3-pytest,
  python3-scipy,
  python3-sphinx (>= 1.6~),
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: http://www.sasview.org/
 Vcs-Git: https://salsa.debian.org/science-team/sasmodels.git
 Vcs-Browser: https://salsa.debian.org/science-team/sasmodels
 Rules-Requires-Root: no
-
-Package: python-sasmodels
-Architecture: all
-Section: python
-Depends:
- python-numpy,
- python-scipy,
- sasmodels-private-libs,
- ${misc:Depends},
- ${python:Depends}
-Recommends:
- python-matplotlib,
- python-pyopencl,
-Suggests: python-sasmodels-doc
-Description: Theoretical models for small angle scattering (Python 2)
- sasmodels is a Python module for calculating theoretical Small Angle
- Scattering patterns. The models provided are usable directly in the bumps
- fitting package and in the sasview analysis package.
- .
- This package contains the Python 2 version of the module.
 
 Package: python3-sasmodels
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 export PYBUILD_TEST_ARGS=-v
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_clean:
 	dh_clean
@@ -41,7 +41,7 @@
 	mkdir -p $(POCL_CACHE_DIR) $(SAS_MODELPATH) $(SAS_MODELPATH_COMPILED)
 	PYTHONPATH=. ./debian/compile_models
 	dh_auto_build
-	+$(MAKE) -C doc html
+	+PYTHON=python3 $(MAKE) -C doc html
 	ln -sf /usr/share/javascript/mathjax doc/_build/html/_static/
 
 override_dh_auto_install:

## sasmodels 1.0.2

=== debian/changelog ===
sasmodels (1.0.2-2) unstable; urgency=medium

  * python3-sasmodels Depends: gcc
    Provides cc, used to run computations (kernelldll.py).
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Sat, 06 Jun 2020 17:59:18 +0800

sasmodels (1.0.2-1) unstable; urgency=medium

  * New upstream version.
    - drop compile-flags.patch incorporated upstream
    - refresh other patches
    - remove some SAS_DLL_PATH manipulation as fixed upstream
    - fixed model generation (Closes: #959572)
  * Only test with py3versions -s in autopkgtests.
  * Update Standards-Version to 4.5.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Sun, 31 May 2020 17:42:12 +1000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Stuart Prescott <stuart@debian.org>,
  Drew Parsons <dparsons@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  libjs-jquery,
  libjs-mathjax,
@@ -18,7 +18,7 @@
  python3-pytest,
  python3-scipy,
  python3-sphinx (>= 1.6~),
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: http://www.sasview.org/
 Vcs-Git: https://salsa.debian.org/science-team/sasmodels.git
 Vcs-Browser: https://salsa.debian.org/science-team/sasmodels
@@ -28,6 +28,7 @@
 Architecture: all
 Section: python
 Depends:
+ gcc,
  python3-numpy,
  python3-scipy,
  sasmodels-private-libs,

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 # and give somewhere for sasmodels to look for models
 export SAS_MODELPATH=$(CURDIR)/.sasmodels/
 export SAS_MODELPATH_COMPILED=./sasmodels/compiled_models/
+export SAS_DLL_PATH=$(CURDIR)/sasmodels/compiled_models/
 
 # stop matplotlib from thinking it should display plots
 export MPLBACKEND=Agg

## sasmodels 1.0.4

=== debian/changelog ===
sasmodels (1.0.4-3) unstable; urgency=medium

  * Patch test collection to be compatible with pytest 6 (Closes: #977094).

 -- Stuart Prescott <stuart@debian.org>  Sun, 10 Jan 2021 12:40:14 +1100

sasmodels (1.0.4-2) unstable; urgency=medium

  * Add extra patch to clean up compiled models created during tests
    (Closes: #962050).
  * Update Standards-Version to 4.5.1 (no changes required).
  * Use debhelper execute_before/after features to simplify debian/rules.

 -- Stuart Prescott <stuart@debian.org>  Thu, 31 Dec 2020 15:35:18 +1100

sasmodels (1.0.4-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Tue, 28 Jul 2020 15:51:20 +0800

sasmodels (1.0.2-3) unstable; urgency=medium

  * python3-sasmodels Depends: libc6-dev | libc-dev
    (kernel_header.c #includes inttypes.h)

 -- Drew Parsons <dparsons@debian.org>  Sun, 07 Jun 2020 14:44:22 +0800

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-pytest,
  python3-scipy,
  python3-sphinx (>= 1.6~),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: http://www.sasview.org/
 Vcs-Git: https://salsa.debian.org/science-team/sasmodels.git
 Vcs-Browser: https://salsa.debian.org/science-team/sasmodels
@@ -28,7 +28,7 @@
 Architecture: all
 Section: python
 Depends:
- gcc,
+ gcc, libc6-dev | libc-dev,
  python3-numpy,
  python3-scipy,
  sasmodels-private-libs,

=== debian/tests/control ===
Tests: python3-sasmodels
Restrictions: allow-stderr
Depends:
 python3-all,
 python3-docutils,
 python3-matplotlib,
 python3-pytest,
 python3-sasmodels

Tests: python3-sasmodels-opencl
Restrictions: allow-stderr
Depends:
 python3-all,
 python3-docutils,
 python3-matplotlib,
 python3-pytest,
 python3-sasmodels

## sasmodels 1.0.5

=== debian/changelog ===
sasmodels (1.0.5-1) unstable; urgency=medium

  * New upstream version.
    - refresh patches.
  * Misc fixes from lintian-brush.

 -- Stuart Prescott <stuart@debian.org>  Mon, 01 Nov 2021 17:51:04 +1100

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,8 @@
  python3-pytest,
  python3-scipy,
  python3-sphinx (>= 1.6~),
-Standards-Version: 4.5.1
-Homepage: http://www.sasview.org/
+Standards-Version: 4.6.0
+Homepage: https://www.sasview.org/
 Vcs-Git: https://salsa.debian.org/science-team/sasmodels.git
 Vcs-Browser: https://salsa.debian.org/science-team/sasmodels
 Rules-Requires-Root: no

## sasmodels 1.0.6

=== debian/changelog ===
sasmodels (1.0.6-2) unstable; urgency=medium

  * Upload to unstable.

 -- Stuart Prescott <stuart@debian.org>  Sun, 06 Nov 2022 17:43:18 +1100

sasmodels (1.0.6-1) experimental; urgency=medium

  * New upstream version.
    - refresh patches.
  * Update Standards-Version to 4.6.1 (no changes required).
  * Add lintian warnings to improve signal:noise in output.
  * Improve autopkgtest tests to ensure more tests get run.

 -- Stuart Prescott <stuart@debian.org>  Tue, 09 Aug 2022 10:33:42 +1000

## sasmodels 1.0.7

=== debian/changelog ===
sasmodels (1.0.7-1) unstable; urgency=medium

  * New upstream release.
    - refresh patches
  * Update debian/watch for github changes.

 -- Stuart Prescott <stuart@debian.org>  Sun, 13 Aug 2023 15:56:11 +1000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-pytest,
  python3-scipy,
  python3-sphinx (>= 1.6~),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.sasview.org/
 Vcs-Git: https://salsa.debian.org/science-team/sasmodels.git
 Vcs-Browser: https://salsa.debian.org/science-team/sasmodels

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/SasView/sasmodels/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## sasmodels 1.0.8

=== debian/changelog ===
sasmodels (1.0.8-3) unstable; urgency=medium

  * debian patch scipy1.15_PR621.patch applies upstream PR#621
    to update API (integrate.romberg) for scipy 1.15.

 -- Drew Parsons <dparsons@debian.org>  Tue, 25 Feb 2025 15:17:24 +0100

sasmodels (1.0.8-2) unstable; urgency=medium

  * Cherry-pick upstream patch for numpy 2.x compatibility (Closes: #1095094).
  * Drop build-dep on pyopencl and autopkgtest that uses pyopencl to insulate
    from its ongoing problems; the package is too unreliable to depend upon.
  * Upload to unstable.

 -- Stuart Prescott <stuart@debian.org>  Tue, 04 Feb 2025 21:06:31 +1100

sasmodels (1.0.8-1) experimental; urgency=medium

  * New upstream release.
    - drop reproducible-c-models.patch (applied upstream)
    - refresh other patches
  * Update Standards-Version to 4.7.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Tue, 19 Nov 2024 01:24:28 +1100

## sasmodels 1.0.9

=== debian/changelog ===
sasmodels (1.0.9-1) unstable; urgency=medium

  * New upstream release.
   - refresh patches
   - drop patches for scipy 1.15 and numpy 2 already included upstream

 -- Stuart Prescott <stuart@debian.org>  Sun, 16 Mar 2025 14:45:14 +1100

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,10 @@
  python3-matplotlib,
  python3-setuptools,
  python3-numpy,
- python3-pyopencl,
  python3-pytest,
  python3-scipy,
- python3-sphinx (>= 1.6~),
-Standards-Version: 4.6.1
+ python3-sphinx,
+Standards-Version: 4.7.0
 Homepage: https://www.sasview.org/
 Vcs-Git: https://salsa.debian.org/science-team/sasmodels.git
 Vcs-Browser: https://salsa.debian.org/science-team/sasmodels

=== debian/rules ===
--- 
+++ 
@@ -38,13 +38,13 @@
 	rm -rf sasmodels.egg-info
 	find -name logs -type d -exec rm -rf {} +
 
-override_dh_auto_build:
+execute_before_dh_auto_build:
 	mkdir -p $(POCL_CACHE_DIR) $(SAS_MODELPATH) $(SAS_MODELPATH_COMPILED)
 	PYTHONPATH=. ./debian/compile_models
-	dh_auto_build
+
+execute_after_dh_auto_build-indep:
 	+PYTHON=python3 $(MAKE) -C doc html
 	ln -sf /usr/share/javascript/mathjax doc/_build/html/_static/
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	rm -rf debian/*/usr/lib/python*/*packages/sasmodels/compiled_models

## sasmodels 1.0.10

=== debian/changelog ===
sasmodels (1.0.10-1) experimental; urgency=medium

  * New upstream version.
    - update build-dependencies for new release
    - update patches

 -- Stuart Prescott <stuart@debian.org>  Sun, 13 Jul 2025 00:29:52 +1000

## sasmodels 1.0.11

=== build_tools/requirements.txt ===
bumps
columnize
matplotlib
numpy
scipy
siphash24
tccbox

=== doc/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # You can set these variables from the command line.
 PYTHON       ?= python
 SPHINXOPTS    =
-SPHINXBUILD   = $(PYTHON) -m  sphinx
+SPHINXBUILD   = "$(PYTHON)" -m sphinx
 PAPER        ?= letter
 BUILDDIR      = _build
 ifdef ComSpec
@@ -29,7 +29,7 @@
 IMG_SOURCE = $(wildcard ../sasmodels/models/img/*)
 IMG_DEST = $(patsubst ../sasmodels/models/img/%,model/img/%,$(IMG_SOURCE))
 MODELS_PY = $(wildcard ../sasmodels/models/[a-z]*.py)
-MODELS_RST = $(patsubst ../sasmodels/models/%.py,model/%.rst,$(MODELS_PY))
+#MODELS_RST = $(patsubst ../sasmodels/models/%.py,model/%.rst,$(MODELS_PY))
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
@@ -44,34 +44,34 @@
 	@echo "  linkcheck to check all external links for integrity"
 	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"
 
-model/img/%: ../sasmodels/models/img/%
+model/img/%: ../sasmodels/models/img/% model/img
 ifdef ComSpec
 	$(COPY) $(subst /,\,$<) $(subst /,\,$@)
 else
 	$(COPY) $< $@
 endif
 
-model/%.rst: ../sasmodels/models/%.py
-	$(PYTHON) genmodel.py $< $@
-
-ref/models/index.rst: gentoc.py $(MODELS_PY)
-	$(PYTHON) gentoc.py $(MODELS_PY)
+ref/models/index.rst: gentoc.py genmodel.py $(MODELS_PY)
+	"$(PYTHON)" genmodel.py $(MODELS_PY)
+	"$(PYTHON)" gentoc.py $(MODELS_PY)
 
 .PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest build
 
 api: genapi.py
 	-$(RMDIR) api
-	$(PYTHON) genapi.py
+	"$(PYTHON)" genapi.py
 
 model:
 	$(MKDIR) model
+
+model/img: model
 ifdef ComSpec
 	$(MKDIR) model\img
 else
 	$(MKDIR) model/img
 endif
 
-build: model $(MODELS_RST) $(IMG_DEST) api ref/models/index.rst
+build: model $(IMG_DEST) api ref/models/index.rst
 ifdef ComSpec
 	rem cd ..\..
 	rem python setup.py build
@@ -84,7 +84,7 @@
 	scp _build/latex/SASModels.pdf reflectometry.org:web/danse/download
 
 clean:
-	-$(RMDIR) _build model api ref$(PATHSEP)models
+	-$(RMDIR) _build model api guide$(PATHSEP)models
 
 html: build
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html

=== debian/changelog ===
sasmodels (1.0.11-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Wed, 01 Oct 2025 14:35:25 +1000

=== debian/control ===
--- 
+++ 
@@ -10,14 +10,18 @@
  dh-python,
  libjs-jquery,
  libjs-mathjax,
+ pybuild-plugin-pyproject,
  python3-all,
+ python3-hatch-requirements-txt,
+ python3-hatch-sphinx,
+ python3-hatch-vcs,
+ python3-hatchling,
  python3-matplotlib,
- python3-setuptools,
  python3-numpy,
  python3-pytest,
  python3-scipy,
  python3-sphinx,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.sasview.org/
 Vcs-Git: https://salsa.debian.org/science-team/sasmodels.git
 Vcs-Browser: https://salsa.debian.org/science-team/sasmodels

=== debian/rules ===
--- 
+++ 
@@ -42,9 +42,12 @@
 	mkdir -p $(POCL_CACHE_DIR) $(SAS_MODELPATH) $(SAS_MODELPATH_COMPILED)
 	PYTHONPATH=. ./debian/compile_models
 
-execute_after_dh_auto_build-indep:
-	+PYTHON=python3 $(MAKE) -C doc html
-	ln -sf /usr/share/javascript/mathjax doc/_build/html/_static/
+execute_after_dh_auto_install:
+	rm -rf $(CURDIR)/debian/python3-sasmodels/usr/lib/python3*/dist-packages/sasmodels/docs*/
+	rm -rf $(CURDIR)/debian/python3-sasmodels/usr/lib/python3*/dist-packages/sasmodels/compiled_models/
+	rm -rf $(CURDIR)/debian/python3-sasmodels/usr/lib/python3*/dist-packages/api
+	rm -rf $(CURDIR)/debian/python3-sasmodels/usr/lib/python3/dist-packages/sasmodels/models/img/
 
-execute_after_dh_auto_install:
-	rm -rf debian/*/usr/lib/python*/*packages/sasmodels/compiled_models
+
+execute_after_dh_installdocs:
+	find debian -name __pycache__ -type d -exec rm -rf {} +

=== debian/tests/control ===
Tests: python3-sasmodels
Restrictions: allow-stderr
Depends:
 python3-all,
 python3-docutils,
 python3-matplotlib,
 python3-pytest,
 python3-sasmodels

#Tests: python3-sasmodels-opencl
#Restrictions: allow-stderr
#Depends:
# python3-all,
# python3-docutils,
# python3-matplotlib,
# python3-pyopencl,
# python3-pytest,
# python3-sasmodels

## sasmodels 1.0.12

=== debian/changelog ===
sasmodels (1.0.12-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.7.3 (no changes required).
  * Drop unneeded Priority and Rules-Requires-Root fields.
  * Update lintian overrides to improve signal:noise.
  * Remove executable bit on some scripts inside the module.
  * Fix removal of images from module.
  * Prevent compression of documentation files.
  * Add new patch to make test discovery more robust.

 -- Stuart Prescott <stuart@debian.org>  Tue, 13 Jan 2026 11:10:23 +1100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: sasmodels
 Section: science
-Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Stuart Prescott <stuart@debian.org>,
@@ -21,11 +20,10 @@
  python3-pytest,
  python3-scipy,
  python3-sphinx,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://www.sasview.org/
 Vcs-Git: https://salsa.debian.org/science-team/sasmodels.git
 Vcs-Browser: https://salsa.debian.org/science-team/sasmodels
-Rules-Requires-Root: no
 
 Package: python3-sasmodels
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 export PYOPENCL_NO_CACHE=1
 # and give somewhere for sasmodels to look for models
 export SAS_MODELPATH=$(CURDIR)/.sasmodels/
-export SAS_MODELPATH_COMPILED=./sasmodels/compiled_models/
+export SAS_MODELPATH_COMPILED=$(CURDIR)/sasmodels/compiled_models/
 export SAS_DLL_PATH=$(CURDIR)/sasmodels/compiled_models/
 
 # stop matplotlib from thinking it should display plots
@@ -46,8 +46,12 @@
 	rm -rf $(CURDIR)/debian/python3-sasmodels/usr/lib/python3*/dist-packages/sasmodels/docs*/
 	rm -rf $(CURDIR)/debian/python3-sasmodels/usr/lib/python3*/dist-packages/sasmodels/compiled_models/
 	rm -rf $(CURDIR)/debian/python3-sasmodels/usr/lib/python3*/dist-packages/api
-	rm -rf $(CURDIR)/debian/python3-sasmodels/usr/lib/python3/dist-packages/sasmodels/models/img/
-
+	rm -rf $(CURDIR)/debian/python3-sasmodels/usr/lib/python3*/dist-packages/sasmodels/models/img/
+	# a few scripts are set executable but in reality need to be invoked via python3 anyway
+	chmod a-x $(CURDIR)/debian/python3-sasmodels/usr/lib/python3*/dist-packages/sasmodels/*.py
 
 execute_after_dh_installdocs:
 	find debian -name __pycache__ -type d -exec rm -rf {} +
+
+override_dh_compress:
+	dh_compress -X_static -X_sources -X_downloads -Xdocs-source
